Can not install all needed perl modules

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Can not install all needed perl modules

Christian Leicht
Hello,

i like to use the latest assp version on a new debian 8.5 server.
I use the latest assp and use the mod_install.pl to get all Modules. But
it doesent work for all. Some Modules are not installed. Some installed
but older Versions.
Do i have to use a other repository? Now i use the regular debian
repositorys in source.list

Can someone help me please.

Thanks
Christian


------------------------------------------------------------------------------
What NetFlow Analyzer can do for you? Monitors network bandwidth and traffic
patterns at an interface-level. Reveals which users, apps, and protocols are
consuming the most bandwidth. Provides multi-vendor support for NetFlow,
J-Flow, sFlow and other flows. Make informed decisions using capacity
planning reports. http://sdm.link/zohodev2dev
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user
Reply | Threaded
Open this post in threaded view
|

Re: Can not install all needed perl modules

m.huijgen
Hi Christian,

I'm doing some documentation for ASSP on Debian 8.5 and here are my
*preliminary* notes; you may find them useful. I have tested and reviewed
them but they may not be not complete or ready for publication yet.

There are two sources for the Perl modules: the Debian repositories and
CPAN.

*** Debian repositories ***
libnet-dns-perl
ibdigest-md5-perl
libarchive-zip-perl
libauthen-sasl-perl
libberkeleydb-perl
libcam-pdf-perl
libclamav-client-perl
libcompress-zlib-perl
libconvert-tnef-perl
libcrypt-cbc-perl
libcrypt-rc4-perl
libdatetime-perl
libdbd-mysql-perl
libdigest-sha-perl
libemail-mime-modifier-perl
libemail-mime-perl
Libemail-sender-perl
libemail-valid-perl
libfile-chmod-perl
libfile-find-rule-perl
libfile-readbackwards-perl
libfile-slurp-perl
libfile-which-perl
libimage-magick-perl
libio-socket-ssl-perl
liblingua-identify-perl
liblingua-stem-snowball-perl
liblinux-usermod-perl
libmail-dkim-perl
libmail-spf-perl
libmail-srs-perl
libmime-types-perl
libmodule-signature-perl
libnet-cidr-lite-perl
libnet-dns-perl
libnet-ldap-perl
libnetaddr-ip-perl
libnumber-compare-perl
libpdf-api2-perl
libregexp-optimizer-perl
libschedule-cron-perl
libsmart-comments-perl
libsys-cpu-perl
libsys-cpuload-perl
libtext-glob-perl
libtext-pdf-perl
libtext-unidecode-perl
libthreads-perl
libthreads-shared-perl
libtie-dbi-perl
libtime-format-perl
libtime-hires-perl
libunicode-linebreak-perl
libunicode-string-perl
libyaml-perl
libthread-queue-perl

*** CPAN ***
build-essential enables installing Perl modules from CPAN.

Dependencies:
OCR modules: libgd2-xpm-dev
libssl-dev: Crypt::OpenSSL::AES
tesseract-ocr and imagemagick: Image::OCR::Tesseract
xpdf: PDF::OCR and PDF::OCR2
libdb6.0-dev libdb6.0: DB_File (necessary for using Berkeley DB)

libdb6.0-dev and libdb6.0 are available in the backports (
https://backports.debian.org/). If you're not using the backports, install
libdb5.1-dev and libdb5.1 instead.

# aptitude install make build-essential libgd2-xpm-dev libssl-dev
tesseract-ocr imagemagick xpdf

Upgrade CPAN:
# cpan
CPAN> install CPAN
CPAN> reload cpan


cpan> install Digest::SHA1 LWP::Simple Net::IP::Match::Regexp Net::SMTP
Net::SenderBase Net::Syslog Thread::State File::PathInfo LEOCHARRE::DEBUG
LEOCHARRE::CLI Tie::RDBM Sys::CpuAffinity Sys::MemInfo Unicode::GCString
Mail::DKIM::Verifier PDF::Burst PDF::GetImages Crypt::OpenSSL::AES
Image::OCR::Tesseract PDF::OCR PDF::OCR2 Email::Send

LWP will ask if you want to run tests. Answer it No.

SPF:
Mail::SPF::Query is used for upgrade compatibility with ASSP V1. V2 only
uses Mail::SPF. It is possible to force install Mail::SPF::Query and it
will work but unless you're upgrading from V1 (which we're not; this is a
clean install) it is better to disable useMailSPFQuery, not install
Mail::SPF::Query and instead enable useMailSPF and install libmail-spf.
Enabling and disabling these options can be done in ASSP's web interface
later on.

[Note: If useMailSPFQuery:=0 ASSP becomes unstable. Force install
Mail::SPF::Query (# cpan force install Mail::SPF::Query) and leave
useMailSPFQuery:=1. Note 2: this may have been caused by another problem,
useMailSPFQuery might not be the cause.]

cpan[1]> force install File::Scan::ClamAV

Errors:
PerlIO::scalar --> embedded in Perl itself

Hope that helps :)




From:   "[hidden email]" <[hidden email]>
To:     [hidden email]
Date:   09-08-2016 17:58
Subject:        [Assp-user] Can not install all needed perl modules



Hello,

i like to use the latest assp version on a new debian 8.5 server.
I use the latest assp and use the mod_install.pl to get all Modules. But
it doesent work for all. Some Modules are not installed. Some installed
but older Versions.
Do i have to use a other repository? Now i use the regular debian
repositorys in source.list

Can someone help me please.

Thanks
Christian


------------------------------------------------------------------------------
What NetFlow Analyzer can do for you? Monitors network bandwidth and
traffic
patterns at an interface-level. Reveals which users, apps, and protocols
are
consuming the most bandwidth. Provides multi-vendor support for NetFlow,
J-Flow, sFlow and other flows. Make informed decisions using capacity
planning reports. http://sdm.link/zohodev2dev
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user


------------------------------------------------------------------------------
What NetFlow Analyzer can do for you? Monitors network bandwidth and traffic
patterns at an interface-level. Reveals which users, apps, and protocols are
consuming the most bandwidth. Provides multi-vendor support for NetFlow,
J-Flow, sFlow and other flows. Make informed decisions using capacity
planning reports. http://sdm.link/zohodev2dev
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user